"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = 'C:/rdkit/build/temp.win-amd64-cpython-310/Release/rdkit_install\\share/RDKit\\Data\\FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x000001300921BA30>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x000001300921BAC0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x000001300921BB50>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x000001300921BBE0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x000001300921BC70>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x000001300921BD00>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x000001300921BD90>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000001300921BE20>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000001300921BEB0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000001300921BF40>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB4040>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB40D0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB4160>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB41F0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB4280>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB4310>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB43A0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB4430>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB44C0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB4550>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB45E0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB4670>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB4700>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB4790>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB48B0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB4820>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB4940>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB49D0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB4A60>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB4AF0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB4B80>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB4C10>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB4CA0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB4D30>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB4DC0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB4E50>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB4EE0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB4F70>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB5000>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB5090>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB5120>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB51B0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB5240>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB52D0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB5360>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB53F0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB5480>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB5510>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB55A0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB5630>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB56C0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB5750>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB57E0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB5870>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB5900>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB5990>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB5A20>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB5AB0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB5B40>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB5BD0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB5C60>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB5CF0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB5D80>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB5E10>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB5EA0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB6050>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB5F30>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB60E0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB6170>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB6200>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB6290>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB6320>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB6440>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB63B0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB64D0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB6560>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB65F0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB6710>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB6680>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB67A0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB6830>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB68C0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB6950>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB69E0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x0000013009CB6A70>)]
name: str = 'fr_HOCCN'
